<html version="2.0">
<head>
<title>Status Page</title>
</head>
<body>
<center>
<h1>Node Usage Statistics</h1>
</center>
<br><br>
<a name="NodeStats">
<h2>Node Usage Statistics</h2><p>
This page allows LDAS users to obtain a graphical view of the number
of nodes allocated per job within a specified time.
<ol>
	<li>Check <b>Node Usage vs time</b> button.
	<li>Specify the time ranges: one easy way is to select one of the time
	options: <b>last minute, last hour, last day</b> to get some
	time in the entry fields and then modify the times to your desire range.</li><p>	
	<li>Submit request to server by hitting the <b>SUBMIT</b> button.</li>
<p>
Response: <p>
A graph window popups up with each point representing the number
of nodes allocated by an MPI job.<p>

<img src='cmonClient-nodeStats.gif' width="700" height="400"><p><p>

<p>
<a name="NodeHist">
<h2>Node Usage Histogram</h2><p>
This page allows LDAS users to obtain a histogram 
of nodes allocated vs the number of jobs.
<ol>
	<li>Check <b>Histogram</b> button and select a bin size if desired. The bin
	size specifies the range of counters. A size of 1 allows each node to
	have its own counter.
	<li>Specify the time ranges: one easy way is to select one of the time
	options: <b>last minute, last hour, last day</b> to get some
	time in the entry fields and then modify the times to your desire range.</li><p>	
	<li>Submit request to server by hitting the <b>SUBMIT</b> button.</li>
<p>
Response: <p>
A histogram is displayed showing counts of total jobs per node ( bin size = 1 ).<p>

<img src='cmonClient-nodeHist.gif' width="700" height="400"><p><p>

You can select options Log Y to change the scaling of the graph
or select cumulative plot of the percent of jobs vis number of nodes allocated.
<p>
<img src='cmonClient-nodeStats-cum.gif' width="700" height="400"><p><p>
</ol>

<p><p>
<a name="LoadSummary">
<h2>Beowulf Node Usage summary</h2><p>
This page allows LDAS users to obtain a graphical view of the load
on the beowulf nodes processing LDAS jobs. 
<ol>
	<li>Select specific DSOs or all DSOs. 
    <li>Select specific users or all users.
	<li>Specify the time ranges: one easy way is to select one of the time
	options: <b>last minute, last hour, last day</b> to get some
	time in the entry fields and then modify the times to your desire range.</li><p>	
	<li>Submit request to server by hitting the <b>SUBMIT</b> button.</li>
<p>
Response: <p>
A graph window popups up with each point representing the product of the number
of nodes used by a job and the wrapper runtime. The following statistics are
also computed :<p>
<ol>
<li>Average job load per job </li><p>
<li>Sum of all the job load </li><p>
<li>Load efficiency as  Sum / ( #nodes on system * time period selected ) </li><p>
</ol>

<img src='cmonClient-loadsummary.gif' width="700" height="400"><p><p>

</ol>
<p>
</body>
</html>
